Package twisted :: Package scripts :: Module conch :: Class SSHUnixClientProtocol

[show private | hide private]
[frames | no frames]

## Class SSHUnixClientProtocol

    BaseProtocol --+
                   |
            Protocol --+
                       |
           Ephemeral --+
                       |
                  Pynana --+
                           |
                      Canana --+
                               |
                              SSHUnixClientProtocol

Method Summary
| `__init__(self)`
| `__getstate__(self)` (inherited from `Ephemeral`)
| `__setstate__(self, state)` (inherited from `Ephemeral`)
| `adjustWindow(self, channel, bytesToAdd)`
| `callExpressionReceived(self, obj)` (inherited from `Pynana`)
| `client_addWindowBytes(self, lst)`
| `client_callbackDeferred(self, lst)`
| `client_channelID(self, lst)`
| `client_channelOpen(self, lst)`
| `client_closed(self, lst)`
| `client_dataReceived(self, lst)`
| `client_eofReceived(self, lst)`
| `client_errbackDeferred(self, lst)`
| `client_extReceived(self, lst)`
| `client_openFailed(self, lst)`
| `client_returnDeferred(self, lst)`
| ``connectionFailed`(self)` (Deprecated) (inherited from `Protocol`)
| ``connectionLost`(self, reason)` Called when the connection is shut down. (inherited from `Protocol`)
| ``connectionMade`(self)` Called when a connection is made. (inherited from `Canana`)
| ``connectionReady`(self)` Surrogate for connectionMade Called after protocol negotiation.
| `dataReceived(self, chunk)` (inherited from `Canana`)
| ``expressionReceived`(self, lst)` Called when an expression (list, string, or int) is received.
| `gotItem(self, item)` (inherited from `Pynana`)
| `moveDeferred(self, dn)`
| `openChannel(self, channel, extra)`
| `returnDeferred(self)`
| `sendClose(self, channel)`
| `sendData(self, channel, data)`
| `sendEncoded(self, obj)` (inherited from `Canana`)
| `sendEOF(self, channel)`
| `sendExtendedData(self, channel, dataType, data)`
| `sendGlobalRequest(self, request, data, wantReply)`
| `sendMessage(self, vocabName, *tup)`
| `sendRequest(self, channel, requestType, data, wantReply)`

Class Variable Summary
`list` | `knownDialects`

Method Details

### connectionReady(self)

Surrogate for connectionMade Called after protocol negotiation.

  Overrides:
    `twisted.spread.banana.Pynana.connectionReady` (inherited documentation)

### expressionReceived(self, lst)

Called when an expression (list, string, or int) is received.

  Overrides:
    `twisted.spread.banana.Pynana.expressionReceived` (inherited documentation)

Class Variable Details

### knownDialects

  Type:
    `list`
  Value:

        ['none']

Generated by Epydoc 1.1 on Thu May 8 13:16:51 2003 | http://epydoc.sf.net